unit ExampleCOMClass;

interface

uses
  ComObj, ActiveX, Example_TLB;

type
  TServer = class(TAutoObject, IServer)
  protected
    function Get_CurrentDateAndTime: TDateTime; safecall;
  public
    procedure Initialize; override;
    destructor Destroy; override;
  end;

implementation

uses ComServ, SysUtils, Dialogs;

procedure TServer.Initialize;
begin
  inherited;
  ShowMessage('Created!')
end;

destructor TServer.Destroy;
begin
  ShowMessage('Destroyed!');
  inherited
end;

function TServer.Get_CurrentDateAndTime: TDateTime;
begin
  Result := Now
end;

initialization
  TAutoObjectFactory.Create(ComServer, TServer, Class_Server, ciMultiInstance);
end.
